Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.regexp
Class StringCareLevelCalculator

    java.lang.Object
      com.sun.msv.grammar.util.ExpressionFinder
          com.sun.msv.verifier.regexp.StringCareLevelCalculator

All Implemented Interfaces:
  ExpressionVisitorBoolean

public class StringCareLevelCalculator
extends ExpressionFinder

calculates how character literals should be treated. This class is thread-safe: multiple threads can simultaneously access the same instance. Note that there is no guarantee that the derived class is thread-safe.

Author:
  Kohsuke KAWAGUCHI

Method Summary
`static int` | `calc(Expression exp)`
`boolean` | `onAnyString()`
`boolean` | `onAttribute(AttributeExp exp)`
`boolean` | `onData(DataExp exp)`
`boolean` | `onElement(ElementExp exp)`
`boolean` | `onList(ListExp exp)`
`boolean` | `onMixed(MixedExp exp)`
`boolean` | `onValue(ValueExp exp)`

Methods inherited from class com.sun.msv.grammar.util.ExpressionFinder
`onChoice, onConcur, onEpsilon, onInterleave, onNullSet, onOneOrMore, onOther, onRef, onSequence`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### onAttribute

    public boolean onAttribute(AttributeExp exp)

  Specified by:
    `onAttribute` in interface `ExpressionVisitorBoolean`
  Overrides:
    `onAttribute` in class `ExpressionFinder`

### onElement

    public boolean onElement(ElementExp exp)

  Specified by:
    `onElement` in interface `ExpressionVisitorBoolean`
  Overrides:
    `onElement` in class `ExpressionFinder`

### onMixed

    public boolean onMixed(MixedExp exp)

  Specified by:
    `onMixed` in interface `ExpressionVisitorBoolean`
  Overrides:
    `onMixed` in class `ExpressionFinder`

### onList

    public boolean onList(ListExp exp)

  Specified by:
    `onList` in interface `ExpressionVisitorBoolean`
  Overrides:
    `onList` in class `ExpressionFinder`

### onAnyString

    public boolean onAnyString()

  Specified by:
    `onAnyString` in interface `ExpressionVisitorBoolean`
  Overrides:
    `onAnyString` in class `ExpressionFinder`

### onData

    public boolean onData(DataExp exp)

  Specified by:
    `onData` in interface `ExpressionVisitorBoolean`
  Overrides:
    `onData` in class `ExpressionFinder`

### onValue

    public boolean onValue(ValueExp exp)

  Specified by:
    `onValue` in interface `ExpressionVisitorBoolean`
  Overrides:
    `onValue` in class `ExpressionFinder`

### calc

    public static int calc(Expression exp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD